Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package typechecker
  Definition Classes
    nsc
-  trait Unapplies extends TreeDSL
  Definition Classes
    typechecker
- CODE
- ClassForCaseCompanionAttachment
- HasUnapply
- UnapplyMemberResult

o

scala.tools.nsc.typechecker.Unapplies

# UnapplyMemberResult

###

#### object UnapplyMemberResult extends Enumeration

Source
  Unapplies.scala

Linear Supertypes
Enumeration, java.io.Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UnapplyMemberResult
2. Enumeration
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  class Val extends Value with Serializable
   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
2.  abstract class Value extends Ordered[Value] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()
3.  class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetOps[Value, SortedSet, ValueSet] with StrictOptimizedIterableOps[Value, Set, ValueSet] with Serializable
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val MultiParams: Value
5.  val MultiParamss: Value
6.  val NoParams: Value
7.  val Ok: Value
8.  val Other: Value
9.  final def Value(i: Int, name: String): Value
   Attributes
     protected
   Definition Classes
     Enumeration
10.  final def Value(name: String): Value
    Attributes
      protected
    Definition Classes
      Enumeration
11.  final def Value(i: Int): Value
    Attributes
      protected
    Definition Classes
      Enumeration
12.  final def Value: Value
    Attributes
      protected
    Definition Classes
      Enumeration
13.  val VarArgs: Value
14.  final def apply(x: Int): Value
    Definition Classes
      Enumeration
15.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
16.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
17.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
18.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
19.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
22.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
23.  final def maxId: Int
    Definition Classes
      Enumeration
24.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
25.  var nextId: Int
    Attributes
      protected
    Definition Classes
      Enumeration
26.  var nextName: Iterator[String]
    Attributes
      protected
    Definition Classes
      Enumeration
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
29.  def readResolve(): AnyRef
    Attributes
      protected
    Definition Classes
      Enumeration
30.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      Enumeration → AnyRef → Any
32.  def values: ValueSet
    Definition Classes
      Enumeration
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
34.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
36.  final def withName(s: String): Value
    Definition Classes
      Enumeration
37.  implicit object ValueOrdering extends Ordering[Value]
    Definition Classes
      Enumeration
38.  object ValueSet extends SpecificIterableFactory[Value, ValueSet] with java.io.Serializable
    Definition Classes
      Enumeration
    Annotations
      @SerialVersionUID()

### Inherited from Enumeration

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped